Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Class JUCtrlHierBinding

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCControlBinding
oracle.jbo.uicli.binding.JUControlBinding
oracle.jbo.uicli.binding.JUCtrlValueBinding
oracle.jbo.uicli.binding.JUCtrlRangeBinding
oracle.jbo.uicli.binding.JUCtrlHierBinding`

All Implemented Interfaces:
  ControlBinding, oracle.adf.model.ControlBinding, JUCtrlInputValueHandler, JUCtrlValueHandler, java.util.Map, oracle.adf.model.RangeBinding, RangeBinding, StructureDef

Direct Known Subclasses:
  JUTreeBinding

public class JUCtrlHierBinding
extends JUCtrlRangeBinding

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`static java.lang.String` | `ATTR_CHILDREN`
`static java.lang.String` | `ATTR_ROOTNODE`
`protected JUCtrlHierNodeBinding` | `mRootBinding`
`protected JUCtrlHierTypeBinding[]` | `mTypeBindings`

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`ATTR_ATTRIBUTE, ATTR_ATTRIBUTE_DEF, ATTR_ATTRIBUTE_DEFS, ATTR_ATTRIBUTE_VALUE, ATTR_ATTRIBUTE_VALUES, ATTR_ATTRIBUTES, ATTR_DISPLAY_HEIGHT, ATTR_DISPLAY_HINT, ATTR_DISPLAY_WIDTH, ATTR_FORMAT, ATTR_FORMATS, ATTR_INPUT_VALUE, ATTR_LABEL, ATTR_LABELS, ATTR_LABELSET, ATTR_MANDATORY, ATTR_PATH, ATTR_TOOLTIP, ATTR_UPDATEABLE, ATTR_VIEWABLE, mHasInputVal, mInputVal, SEP_LIST_DISPLAY`

Fields inherited from class oracle.adf.model.binding.DCControlBinding
`ATTR_CURRENTROW, ATTR_DEF, ATTR_ERROR, ATTR_ERRORS, ATTR_FULLNAME, ATTR_ITER, ATTR_NAME, mAttributeListener, mInternalGet_KeyResolved, ROW_KEY_STR`

Constructor Summary
`JUCtrlHierBinding(java.lang.Object control, JUIteratorBinding iterBinding, java.lang.String[] attrNames, JUCtrlHierTypeBinding[] typeBindings)`

Method Summary
`protected JUCtrlHierNodeBinding` | `createNodeBinding(JUCtrlHierNodeBinding parent, JUIteratorBinding iterBinding, JUCtrlHierTypeBinding typeBinding, Row row, boolean expandable)`
`protected void` | `createRootBinding()`
`JUCtrlHierNodeBinding` | `findNodeByKeyPath(java.util.List al)`
`java.util.List` | `getChildren()` *** For internal framework use only *** Returns children of the root node for easy el-access.
`JUCtrlHierNodeBinding` | `getRootNodeBinding()` Returns the root node binding that contains the iterator that the root node is displaying.
`JUCtrlHierTypeBinding[]` | `getTypeBindings()`
`protected java.lang.Object` | `internalGet(java.lang.String key)` Subclasses should override this to handle a specific key.
`protected JUCtrlHierNodeBinding` | `restoreTreeAndExpand(java.util.ArrayList al)` Advanced method: Applications should not use this method
`void` | `updateValuesFromRow(Row row)` This method is called in the framework when values of a single row need to be updated in a control (typically on a navigation event).
`void` | `updateValuesFromRows(Row[] rows, boolean clear)` Updates the nodes in the tree based on the given set of rows.

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlRangeBinding
`addControlToPanel, createValueBindingRef, getCurrentRowIndex, getEstimatedRowCount, getInputErrorsForRowKey, getInputValueInRow, getRangeSet, getRangeSize, getRangeStart, getValueAt, needsEstimatedRowCount, refreshControl, release, setCurrentRowAtIndex, setInputValueInRow, setRangeStart, setValueAt, updateNavigated, updateRangeScrolled`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`compareAndSetAttribute, displayInShortForm, ensureVariableManager, findAttributeDef, getAttribute, getAttribute, getAttribute, getAttributeCount, getAttributeDef, getAttributeDef, getAttributeDefs, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeIndexOf, getAttributeNames, getAttributes, getAttributes, getAttributeUIHelper, getAttributeValidators, getAttributeValidators, getAttributeValue, getAttributeValue, getAttributeValueFromRow, getAttributeValues, getAttributeValues, getControlType, getDisplayHeight, getDisplayHint, getDisplayWidth, getError, getErrors, getFormat, getFormats, getHint, getHint, getInputValue, getInputValue, getInputValueHandler, getLabel, getLabel, getLabels, getLabelSet, getLocaleContext, getMergedAttributeValues, getNullValueString, getPath, getTooltip, getTooltip, hasFormatInformation, hasVariables, initResources, internalGetRow, internalHasPermission, isArrayIteratorType, isAttributeMandatory, isAttributeUpdateable, isAttributeUpdateable, isMandatory, isNewInputValue, isUpdateable, lookupAttributeDef, processInputException, processNewInputValue, put, resetInputState, resolvePath, setArrayIteratorType, setAttribute, setAttribute, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeValue, setError, setInputValue, setInputValue, setInputValueHandler, setNullValueString, stopEditing, updateRowDeleted, updateRowInserted, validateInputValue`

Methods inherited from class oracle.jbo.uicli.binding.JUControlBinding
`getCurrentRow, getFormBinding, getIteratorBinding, reportException, setFormBinding`

Methods inherited from class oracle.adf.model.binding.DCControlBinding
`addToDCExceptions, executeQuery, executeQueryIfNeeded, get, getAllRowsInRange, getApplicationModule, getBindingContainer, getControl, getControlModel, getDCIteratorBinding, getDef, getDefFullName, getDefName, getFullName, getLayoutObject, getName, getRowAtRangeIndex, getRowIterator, getTransaction, getViewObject, hashCode, internalHasPermission, internalSetName, isControlQueriable, removeFromDCExceptions, reportException, resetAttributeExceptionInRow, setBindingContainer, setControl, setListener, setListener, setName, toString`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, internalPut`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.adf.model.RangeBinding
`getLabelSet`

Methods inherited from interface oracle.adf.model.ControlBinding
`setListener`

Methods inherited from interface oracle.binding.ControlBinding
`getName, getPath, resolvePath, setListener`

Methods inherited from interface oracle.jbo.StructureDef
`getDefFullName, getDefName, getFullName, getName`

Field Detail

### mTypeBindings

    protected JUCtrlHierTypeBinding[] mTypeBindings

### mRootBinding

    protected JUCtrlHierNodeBinding mRootBinding

### ATTR_ROOTNODE

    public static final java.lang.String ATTR_ROOTNODE

  See Also:
    Constant Field Values

### ATTR_CHILDREN

    public static final java.lang.String ATTR_CHILDREN

  See Also:
    Constant Field Values

Constructor Detail

### JUCtrlHierBinding

    public JUCtrlHierBinding(java.lang.Object control,
                             JUIteratorBinding iterBinding,
                             java.lang.String[] attrNames,
                             JUCtrlHierTypeBinding[] typeBindings)

Method Detail

### getRootNodeBinding

    public JUCtrlHierNodeBinding getRootNodeBinding()

  Returns the root node binding that contains the iterator that the root node is displaying.

### getTypeBindings

    public JUCtrlHierTypeBinding[] getTypeBindings()

### updateValuesFromRow

    public void updateValuesFromRow(Row row)

  This method is called in the framework when values of a single row need to be updated in a control (typically on a navigation event).
  Overrides:
    `updateValuesFromRow` in class `JUCtrlRangeBinding`

### restoreTreeAndExpand

    protected JUCtrlHierNodeBinding restoreTreeAndExpand(java.util.ArrayList al)

  Advanced method: Applications should not use this method

### updateValuesFromRows

    public void updateValuesFromRows(Row[] rows,
                                     boolean clear)

  Updates the nodes in the tree based on the given set of rows. Clears the existing display if clear flag is true.
  Overrides:
    `updateValuesFromRows` in class `JUCtrlRangeBinding`

### createRootBinding

    protected void createRootBinding()

### createNodeBinding

    protected JUCtrlHierNodeBinding createNodeBinding(JUCtrlHierNodeBinding parent,
                                                      JUIteratorBinding iterBinding,
                                                      JUCtrlHierTypeBinding typeBinding,
                                                      Row row,
                                                      boolean expandable)

### internalGet

    protected java.lang.Object internalGet(java.lang.String key)

  Subclasses should override this to handle a specific key. If they do find the key valid, they should also set the mInternalGet_KeyResolved to 'true' so that bean-introspection is not done for valid null-value returns from the internalGet() call.

  Properties returned vis getter on this control bindings are:

  - `rootNodeBinding` - returns getRootNodeBinding()
  - `children` - returns getRootNodeBinding().getChildren()()
  -   Overrides:
        `internalGet` in class `JUCtrlRangeBinding`

### getChildren

    public java.util.List getChildren()

  *** For internal framework use only *** Returns children of the root node for easy el-access.

### findNodeByKeyPath

    public JUCtrlHierNodeBinding findNodeByKeyPath(java.util.List al)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.